Bug 205244 - net/ocserv: update to 0.10.11
Summary: net/ocserv: update to 0.10.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J Puga Medina
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-12-11 11:08 UTC by Carlos J Puga Medina
Modified: 2016-01-28 18:41 UTC (History)
2 users (show)

See Also:


Attachments
Patch (1.28 KB, patch)
2015-12-11 11:08 UTC, Carlos J Puga Medina
koobs: maintainer-approval+
Details | Diff
testport log on 93x32 (95.08 KB, text/x-log)
2015-12-17 15:53 UTC, Carlos J Puga Medina
no flags Details
testport log on 93x64 (95.32 KB, text/x-log)
2015-12-17 15:53 UTC, Carlos J Puga Medina
no flags Details
testport log on 10x32 (94.65 KB, text/x-log)
2015-12-17 15:54 UTC, Carlos J Puga Medina
no flags Details
Patch (1.28 KB, patch)
2016-01-14 22:14 UTC, Carlos J Puga Medina
cjpm: maintainer-approval+
Details | Diff
testport log on 93x32 (95.10 KB, text/x-log)
2016-01-14 22:15 UTC, Carlos J Puga Medina
no flags Details
testport log on 93x64 (95.10 KB, text/x-log)
2016-01-14 22:15 UTC, Carlos J Puga Medina
no flags Details
testport log on 10x32 (94.62 KB, text/x-log)
2016-01-14 22:16 UTC, Carlos J Puga Medina
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J Puga Medina 2015-12-11 11:08:48 UTC
Created attachment 164116 [details]
Patch

- Update to 0.10.10

ref: http://lists.infradead.org/pipermail/openconnect-devel/2015-November/003268.html
Comment 1 Jason Unovitch freebsd_committer 2015-12-11 11:46:39 UTC
Reporter is committer. Assign accordingly and mark in progress for mentor review.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-11 12:23:47 UTC
(In reply to Jason Unovitch from comment #1)

Let the mentee triage/update the issue, it's good practice for solo :)

@Carlos, if you have any questions regarding issue/bug annotation or workflow, don't hesitate to ping me
Comment 3 Carlos J Puga Medina 2015-12-11 12:27:25 UTC
(In reply to Kubilay Kocak from comment #2)

Thank you, Kubilay :)

Testing@work via poudriere.
Comment 4 Carlos J Puga Medina 2015-12-17 15:53:38 UTC
Created attachment 164314 [details]
testport log on 93x32
Comment 5 Carlos J Puga Medina 2015-12-17 15:53:57 UTC
Created attachment 164315 [details]
testport log on 93x64
Comment 6 Carlos J Puga Medina 2015-12-17 15:54:21 UTC
Created attachment 164316 [details]
testport log on 10x32
Comment 7 Carlos J Puga Medina 2016-01-14 22:14:17 UTC
Since this PR was opened, there is a new update available.

- Update ocserv to 0.10.11

ref: http://lists.infradead.org/pipermail/openconnect-devel/2016-January/003362.html
Comment 8 Carlos J Puga Medina 2016-01-14 22:14:51 UTC
Created attachment 165606 [details]
Patch
Comment 9 Carlos J Puga Medina 2016-01-14 22:15:22 UTC
Created attachment 165607 [details]
testport log on 93x32
Comment 10 Carlos J Puga Medina 2016-01-14 22:15:45 UTC
Created attachment 165608 [details]
testport log on 93x64
Comment 11 Carlos J Puga Medina 2016-01-14 22:16:08 UTC
Created attachment 165609 [details]
testport log on 10x32
Comment 12 Carlos J Puga Medina 2016-01-19 11:07:12 UTC
% portlint -ac
WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.
0 fatal errors and 1 warning found.
Comment 13 commit-hook freebsd_committer 2016-01-27 10:31:56 UTC
A commit references this bug:

Author: cpm
Date: Wed Jan 27 10:31:11 UTC 2016
New revision: 407350
URL: https://svnweb.freebsd.org/changeset/ports/407350

Log:
  - Update to 0.10.11

  Changes:
     http://lists.infradead.org/pipermail/openconnect-devel/2016-January/003362.html

  PR:		205244
  Submitted by:	Carlos J. Puga Medina <cpm@fbsd.es>
  Approved by:	junovitch (mentor)

Changes:
  head/net/ocserv/Makefile
  head/net/ocserv/distinfo
  head/net/ocserv/pkg-plist
Comment 14 Jason Unovitch freebsd_committer 2016-01-28 02:48:22 UTC
Fix keywords for correctness.  All the QA is attached so 'needs-qa' can be removed and the patch attached was validated to 'patch' and 'patch-ready' should be added.
Comment 15 Carlos J. Puga Medina freebsd_committer 2016-01-28 18:41:41 UTC
(In reply to Jason Unovitch from comment #14)

OK! Thank you, Jason.